package a3test.comp2d;

import jp.sourceforge.acerola3d.a3.*;

public class A3BalloonTest2 {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        Action3D a3 = new Action3D("x-res:///api_test.a3");
        w.add(a3);
        a3.setLabel("label");
        a3.setScale(0.3);
        a3.setBalloon("balloon");
        while (true) {
            a3.change("balloonOffsetTest");
            a3.setBalloonDir(A3Object.BalloonDir.RIGHT);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.LEFT);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.TOP);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.BOTTOM);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.change("balloonOffsetTest2");
            a3.setBalloonDir(A3Object.BalloonDir.RIGHT);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.LEFT);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.TOP);
            try{Thread.sleep(1000);}catch(Exception e){;}
            a3.setBalloonDir(A3Object.BalloonDir.BOTTOM);
            try{Thread.sleep(1000);}catch(Exception e){;}
        }
    }
}
